# $Revision: 1.10 $, $Date: 2007-12-30 23:22:14 $
#
# Conditional build:
%bcond_without	tests	# do perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Test
%define		pnam	Signature
Summary:	Test::Signature - automatic signature testing
Summary(pl.UTF-8):	Test::Signature - automatyczne sprawdzanie sygnatur
Name:		perl-Test-Signature
Version:	1.10
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0990c65388fb1d89d3459d406536de3c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Signature allows you to verify that a distribution has not
been tampered with. "Test::Signature" lets that be tested as part of
the distribution's test suite.

%description -l pl.UTF-8
Module::Signature pozwala sprawdzić, czy dystrybucyjna paczka nie
została naruszona. Test::Signature pozwala na sprawdzenie tego jako
część zestawu testów dystrybucyjnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/Signature.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Test-Signature.spec,v $
Revision 1.10  2007-12-30 23:22:14  zbyniu
- up to 1.10

Revision 1.9  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.7  2004/11/03 22:30:48  paladine
- formatting

Revision 1.6  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.5  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.4  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.3  2004/04/13 11:16:49  ankry
- caps cosmetics

Revision 1.2  2004/04/12 02:34:07  qboosh
- pl, doc, noarch

Revision 1.1  2004/04/11 17:45:07  agaran
new spec
